import {ActivatedRoute, Params} from '@angular/router';
import {Injectable} from '@angular/core';

@Injectable()
export class RequestService {
    constructor(private activedRoute:ActivatedRoute) {
    }

    getParams() {
        this.activedRoute.params.subscribe((params:Params)=>{
            console.log(params);
        })
        console.log(location.search);
        let url = decodeURI(decodeURI(location.search)); //获取url中"?"符后的字串
        let theRequest = {};
        if (url.indexOf('?') != -1) {
            let str = url.substr(1);
            let strs = str.split('&');
            for (let i = 0; i < strs.length; i++) {
                theRequest[strs[i].split('=')[0]] = strs[i].split('=')[1];
            }
        }
        return theRequest;
    }
}
